
#ifndef GUARD_common_h
#define GUARD_common_h

#include "FreeRTOS.h"
#include "task.h"

// how fast marquee messages scroll, in ticks
#ifndef ETEST
#define MARQUEE_SPEED 200
#else
#define MARQUEE_SPEED 20
#endif

typedef signed char s8;
typedef unsigned char u8;
typedef unsigned char byte;
typedef signed short s16;
typedef unsigned short u16;
typedef signed long s32;
typedef unsigned long u32;
typedef unsigned long ulong;
typedef unsigned long long u64;

extern xTaskHandle core_task_handle, 
		anyl_task_handle, 
		js_task_handle,
		test_task_handle,
		console_task_handle;

#endif
